#include <iostream>
#include <string>


string convert_to_tcl(string &instr) {

  string outstring;

  for(int i=0; i < instr.length(); i++) {
    switch (instr[i]) {
    case ' ': // insert '\' before char
    case '{':
    case '}':
    case '[':
    case ']':
      outstring += "\\";
      outstring += instr[i];
      break;
    case '\n': // replace char with "\n"
      outstring += "\\n";
      break;
    case '\t': // replace char with "\t"
      outstring += "\\t";
      break;
    case '\r': // replace char with "\r"
      outstring += "\\r";
      break;
    default:
      outstring += instr[i];
    }
  }
  return outstring;
}

int main(void) {
  char ch;
  string instr;
  string outstring;

  while ((ch = cin.get()) != EOF) {
    instr += ch;
  }

  cout << instr;

  outstring = convert_to_tcl(instr);

  cout << outstring;
  return 0;
}


