// @(#)dn2app.h	1.4

#ifndef _DN2APP_
#define _DN2APP_

#include "dn2doc.h"

class SGMLError {
  public:
    string errorstring;
    SGMLError::SGMLError(const SGMLApplication::ErrorEvent&);
};

class DN2Application : public SGMLApplication {
  public:

    DocumentData *theDoc;
    DN2Application();
    ~DN2Application();
    void startElement(const StartElementEvent &);
    void startDtd( const StartDtdEvent &);
    void endDtd(const EndDtdEvent &);
    void data(const DataEvent &event);
    void sdata(const SdataEvent &);
    void endElement(const EndElementEvent &event);
    void error(const ErrorEvent &event);
    void cleanup();
    
    void PrintTree();
    string GetDN2();
    string GetTclDN2();
    
  private:
    unsigned depth_;
};

#endif


