/* @(#)dn2smart.h	1.1 */
typedef struct {
	char * external_id;
	char * title;
	float score;
	char *hilight_info;
} RETRIEVED_DOC;
	  
#define CLTYPE_Z3950 1
#define CLTYPE_SMART 2
#define CLTYPE_TIPSTER 3

/* Internal form of retrieved_doc */
typedef struct {
    char *coll_name;
    int coll_type; /* current values CLTYPE_{Z3950,SMART,TIPSTER} */
    char *external_name;
    char *internal_name;
    char *title;
    float score;
    char *hilight_info; /*ignored */
} INT_RETRIEVED_DOC;

typedef struct internal_retrieved_set {
    char *coll_name;
    int coll_type; /* current values CLTYPE_{Z3950,SMART,TIPSTER} */
    int num_retrieved_doc;
    INT_RETRIEVED_DOC *int_retrieve_doc;
} INT_RETRIEVED_SET;

typedef struct {
    char *coll_name;
    int coll_type;
    char *parameters;          /* String containing parameters for opening 
				  collection.  For
				      CLTYPE_SMART this is spec_file name;
				      CLTYPE_Z3950 this is 5 strings
				      separated by spaces
				              char *external_name;
					      char *name;
					      char *host;
					      char *port;
					      char *authorize;
				*/
} COLL_LIST_ENTRY;
